#
# quick2.rb
#
# $Id: quick2.rb,v 1.1 2000/11/21 03:15:44 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 400
dt = PI/(nmax-1)

x = NArray.sfloat(nmax)
y = NArray.sfloat(nmax)

#-- data ----
for n in 0..nmax-1
  t = dt*n
  x[n] = 1.0e5*sin(6.0*t)
  y[n] = 1.0e-4*cos(14.0*t) + 1.0
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

usgrph(nmax, x, y)

grcls

